%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20060918
%define hptzip_version 0.1.0
%define ver %husky_version
%define rel alt1.%husky_cvsdate

Name: hpucode
Summary: UUE scanner for fido message bases
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: %name.tar.bz2

BuildPreReq: huskybse = %husky_version-%release
BuildPreReq: libhusky-devel = %husky_version-%release
BuildPreReq: libsmapi-devel = %smapi_version-%release
BuildPreReq: libfidoconf-devel = %husky_version-%release

%description
hpucode is an uue code scanner and decoder. It can decode
multisection messages with uue, which is being posted by
popular encoders such as UUEWizard, AutoUUE, hpt post -u :]

%prep
%setup -q -n %name

%build
%make_build DEBIAN=1

%install
%__mkdir_p %buildroot{%_bindir,%_man1dir}
%make_install DEBIAN=1 PREFIX=%buildroot%_prefix install

%files
%doc ChangeLog HISTORY
%attr(750,ftn,ftn) %_bindir/*
%_man1dir/*
%doc %_docdir/husky/hpucode.html

%changelog
* Mon Sep 18 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060918
- 20060901 -> 20060918

* Sat Sep 16 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060901
- 20050710 -> 20060901

* Thu Aug 04 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050710
- Initial build for Sisyphus
